Bug 888728 - polkitd: memory leak in process_policy_file()
polkitd: memory leak in process_policy_file()
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 888729
  Show dependency treegraph
 
Reported: 2012-12-19 05:55 EST by Florian Weimer
Modified: 2013-04-12 21:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 21:29:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 63492 None None None Never

  None (edit)
Description Florian Weimer 2012-12-19 05:55:42 EST
In src/polkitbackend/polkitbackendactionpool.c, function process_policy_file(), there is this code:

  pd.parser = XML_ParserCreate_MM (NULL, NULL, NULL);
  pd.parser = XML_ParserCreate (NULL);

I think this leaks the parser allocated by XML_ParserCreate_MM().

The parser runs with entity expansion enabled, but this doesn't appear to be a problem because the input file is trusted.
Comment 1 Fedora Admin XMLRPC Client 2013-02-01 18:59:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Miloslav Trmač 2013-04-12 21:29:05 EDT
Thanks for your report.  Fix filed upstream at https://bugs.freedesktop.org/show_bug.cgi?id=63492 .  This can only be triggered by the system administrator manipulating /usr/share/polkit-1/actions, so not a vulnerability, and we'll get the fix on next upstream release (which is probably soon).

Note You need to log in before you can comment on or make changes to this bug.